libssh 0.7.3

Data Fields
ssh_callbacks Struct Reference
The libssh API » The libssh callbacks

The structure to replace libssh functions with appropriate callbacks. More...

`#include <include/libssh/callbacks.h>`

## Data Fields
ssh_auth_callback | auth_function
| This functions will be called if e.g. More...
ssh_channel_open_request_x11_callback | channel_open_request_x11_function
| This function will be called when an incoming X11 request is received.
void(* | connect_status_function )(void *userdata, float status)
| This function gets called during connection time to indicate the percentage of connection steps completed.
ssh_global_request_callback | global_request_function
| This function will be called each time a global request is received.
ssh_log_callback | log_function
| This function will be called each time a loggable event happens.
size_t | size
| DON'T SET THIS use ssh_callbacks_init() instead. More...
void * | userdata
| User-provided data. More...

## Detailed Description

The structure to replace libssh functions with appropriate callbacks.

## Field Documentation

## § auth_function

ssh_auth_callback ssh_callbacks::auth_function

This functions will be called if e.g.

a keyphrase is needed.

## § size

size_t ssh_callbacks::size

DON'T SET THIS use ssh_callbacks_init() instead.

## § userdata

void* ssh_callbacks::userdata

User-provided data.

User is free to set anything he wants here

The documentation for this struct was generated from the following file:

- include/libssh/callbacks.h